Subject: Re: Question about file creation for anonymous virtual ftp

From: [email-masked]
Date: Fri, 1 Nov 1996 12:49:48 EST

** Reply to note from [email-masked] Thu, 31 Oct 1996 18:51:41 +0100 (MET) 
>    
> Is there a way to change the file owner and group for incoming files 
> on virtual domains. My server seems to create them as ftp.daemon, which 
> I might think is okay for my own anon ftp server, but not for any 
> clients using a virtual domain. I'd like to be able to set the default 
> user.group for file creation per virtual ftpd. 
>    
> Is this possible? 
>    
 
In short: Yes. 
 
You should be looking at the UPLOAD directive in /etc/ftpaccess. 
 
Since most virtual FTPs have their own root directory (and if it isn't 
set up this way, you may run in to some problems), all you need to do is 
use the upload directive to set up the perms and ownership. 
 
For example if I had foo1.my.domain and foo2.my.domain and the root 
directories are set up as such: 
 
foo1 = /home/foo1-ftp 
foo2 = /home/foo2-ftp 
 
Then you should be able to do this in /etc/ftpaccess: 
 
upload  /home/foo1-ftp /incoming yes ftp daemon 0600 nodirs 
 
To allow anonymous FTP to upload files to /home/foo1-ftp/incoming with 
ownership set to ftp.daemon and permissions set to 0600 without directory 
creation access. 
 
Take a look at the ftpaccess man page for better explanation. 

========================================================================= 
= Clifton Wood       | "Tis better to worry for nothing than to not worry   
- Software Engineer  |  and meet Mr. Murphy when you are the least  
- TeleWorks, Inc.    |  unprepared for him." - Overheard at a bar.